package com.brilliance.isc.bo.bop.jsh;


import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

/**
 
 * @description 结汇申请书模型Vo
 * @create 20240322
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dbjgrp extends AbstractCommonVo {
    //基本确认
    private String basacp;
    //管理确认
    private String vrfacp;
    //结汇申请书-基础信息Bo
    private Dbj bas;
    //结汇申请书-管理信息
    private Dbv vrf;


    @Override
    public void reset() {
        super.reset();
        if(bas == null) {
            bas = new Dbj();
            bas.reset();
        }
        if(vrf == null) {
            vrf = new Dbv();
            vrf.reset();
        }
    }
}
